/*
 * (C) Copyright 2007 Tundra Semiconductor Corp.
 * http://www.tundra.com/Support/SupportForm.cfm
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

/*-----------------------------------------------------------------------------
* FILENAME: ts_gpio.h
*
* DESCRIPTION: Header file contains the TSI110 HLP port register definitions
*              and bitmasks
* HISTORY:
*
*    Rev. Date           Author          Description
*    ---- ------------   -------------   --------------------------------------
*         Apr 27, 2007   Jason McKenna   Improve formatting
*         Mar 14, 2007   Jason McKenna   Original release.
*----------------------------------------------------------------------------*/

#ifndef _TS_GPIO_H_
#define _TS_GPIO_H_

/* ***********************************************/
/* GPIO : Register address offset definitions    */
/* ***********************************************/
#define GPIO_DATA						(0x0a0)
#define GPIO_CNTRL						(0x0a4)
#define GPIO_EDGE_CNTRL						(0x0a8)
#define GPIO_INT_STATUS						(0x0ac)

/* ***********************************************/
/* GPIO : Register Bit Masks and Reset Values    */
/*           definitions for every register      */
/* ***********************************************/

/* GPIO_DATA : Register Bits Masks Definitions */
#define GPIO_DATA_GPIO_DATA_OUT					(0x0000ffff)
#define GPIO_DATA_GPIO_DATA_IN					(0xffff0000)

/* GPIO_CNTRL : Register Bits Masks Definitions */
#define GPIO_CNTRL_GPIO_DIR					(0xffff0000)
#define GPIO_CNTRL_RESERVED					(0x0000ffff)

/* GPIO_EDGE_CNTRL : Register Bits Masks Definitions */
#define GPIO_EDGE_CNTRL_EDGE					(0x0000ffff)
#define GPIO_EDGE_CNTRL_STATE					(0xffff0000)

/* GPIO_INT_STATUS : Register Bits Masks Definitions */
#define GPIO_INT_STATUS_ENABLE					(0x0000ffff)
#define GPIO_INT_STATUS_STATUS					(0xffff0000)

#endif /* _TS_GPIO_H_  */
