/*
 * (C) Copyright 2007 Tundra Semiconductor Corp.
 * http://www.tundra.com/Support/SupportForm.cfm
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

/*-----------------------------------------------------------------------------
* FILENAME: ts_hlp.h
*
* DESCRIPTION: Header file contains the TSI110 UART port register definitions
*              and bitmasks
* HISTORY:
*
*    Rev. Date           Author          Description
*    ---- ------------   -------------   --------------------------------------
*         Apr 27, 2007   Jason McKenna   Improve formatting
*         Mar 14, 2007   Jason McKenna   Original release.
*----------------------------------------------------------------------------*/

#ifndef _TS_UART_H_
#define _TS_UART_H_

#define MAX_UARTS	2

/* ***********************************************/
/* UART : Register address offset definitions    */
/* ***********************************************/

#define UART_UARTX_LOWER_LE   (0x00)
#define UART_UARTX_UPPER_LE   (0x04)
#define UART_UARTX_LOWER_BE   (0x08)
#define UART_UARTX_UPPER_BE   (0x0C)

/* ***********************************************/
/* UART : Register Bit Masks and Reset Values    */
/*           definitions for every register      */
/* ***********************************************/

/* UART_UARTX_LOWER_LE : Register Bits Masks Definitions */
#define UART_UARTX_LOWER_LE_RX					(0x000000ff)
#define UART_UARTX_LOWER_LE_IER					(0x0000ff00)
#define UART_UARTX_LOWER_LE_IIR					(0x00ff0000)
#define UART_UARTX_LOWER_LE_LCR					(0xff000000)

/* UART_UARTX_UPPER_LE : Register Bits Masks Definitions */
#define UART_UARTX_UPPER_LE_MCR					(0x000000ff)
#define UART_UARTX_UPPER_LE_LSR					(0x0000ff00)
#define UART_UARTX_UPPER_LE_MSR					(0x00ff0000)
#define UART_UARTX_UPPER_LE_SCR					(0xff000000)

/* UART_UARTX_LOWER_BE : Register Bits Masks Definitions */
#define UART_UARTX_LOWER_BE_LCR					(0x000000ff)
#define UART_UARTX_LOWER_BE_IIR					(0x0000ff00)
#define UART_UARTX_LOWER_BE_IER					(0x00ff0000)
#define UART_UARTX_LOWER_BE_RX					(0xff000000)

/* UART_UARTX_UPPER_BE : Register Bits Masks Definitions */
#define UART_UARTX_UPPER_BE_SCR					(0x000000ff)
#define UART_UARTX_UPPER_BE_MSR					(0x0000ff00)
#define UART_UARTX_UPPER_BE_LSR					(0x00ff0000)
#define UART_UARTX_UPPER_BE_MCR					(0xff000000)

#endif /* _TS_UART_H_  */
